import { OnInit, EventEmitter } from '@angular/core';
import { FormGroup, AbstractControl, FormGroupDirective, ControlContainer } from '@angular/forms';
import { ControlUtility } from '../../Shared/services/ControlUtility';
import { DropdownOptions } from '../../Shared/Models/DropdownOptions';
import { DropdownListItem } from '../../Shared/Models/DropdownListItem';
import { OnPagingFiltersChangeService } from '../../Shared/services/OnPagingFiltersChange.service';
export declare class DropdownListComponent implements OnInit {
    private onChangeService;
    private controlUtility;
    private controlContainer;
    DropdownListControlHost: FormGroupDirective;
    static controlContainerstatic: any;
    constructor(onChangeService: OnPagingFiltersChangeService, controlUtility: ControlUtility, controlContainer: ControlContainer, DropdownListControlHost: FormGroupDirective);
    group: FormGroup;
    options: DropdownOptions;
    DropdownListFormControl: AbstractControl;
    dropdownSettings: {};
    SelectedItems: DropdownListItem[];
    SelectedList: any[];
    OnChange: EventEmitter<any>;
    onClear: EventEmitter<any>;
    markAllAsTouched: boolean;
    controlChanged: boolean;
    validationRules: any[];
    validationRulesasync: any[];
    ngOnInit(): void;
    ngAfterViewInit(): void;
    resetError: () => void;
    showGlobalError(): void;
    getErrorValidation(ErrorList: any): string;
    onItemSelect(item: any): void;
    Clear(): void;
    onSelectAll(items: any): void;
    onDeselect(items: any): void;
    onDeselectAll(items: any): void;
    onDropDownClose(): void;
    RemoveRequiredValidation: () => void;
    AddRequiredValidation: () => void;
    RemoveCustomValidation: (CustomValidation: any) => void;
    AddCustomValidation: (CustomValidation: any) => void;
    IsValid: () => void;
}
